## gitaly 15.10.8+dfsg

=== Makefile ===
# Makefile for Gitaly

# You can override options by creating a "config.mak" file in Gitaly's root
# directory.
-include config.mak

# Unexport environment variables which have an effect on Git itself.
# We need to keep GIT_PREFIX because it's used to determine where our
# self-built Git should be installed into. It's probably not going to
# matter much though.
unexport $(filter-out GIT_PREFIX,$(shell git rev-parse --local-env-vars))

# Call `make V=1` in order to print commands verbosely.
ifeq ($(V),1)
    Q =
else
    Q = @
endif

SHELL = /usr/bin/env bash -eo pipefail

# Host information
OS   := $(shell uname)
ARCH := $(shell uname -m)

# Directories
SOURCE_DIR       := $(abspath $(dir $(lastword ${MAKEFILE_LIST})))
BUILD_DIR        := ${SOURCE_DIR}/_build
PROTO_DEST_DIR   := ${SOURCE_DIR}/proto/go
DEPENDENCY_DIR   := ${BUILD_DIR}/deps
TOOLS_DIR        := ${BUILD_DIR}/tools
GITALY_RUBY_DIR  := ${SOURCE_DIR}/ruby
# This file is used as a dependency for running `bundle install`: when its
# mtime is older than that of either `Gemfile` or `Gemfile.lock` we will
# execute the command. There is not typically any need to change the location,
# but we need this for our unprivileged CI so that it can be moved into the
# `_build` directory. Just moving the file completely doesn't work, as both CNG
# and Omnibus depend on it to inhibit re-bundling Ruby Gems.
RUBY_BUNDLE_FILE ?= ${SOURCE_DIR}/.ruby-bundle

# These variables may be overridden at runtime by top-level make
## The prefix where Gitaly binaries will be installed to. Binaries will end up
## in ${PREFIX}/bin by default.
PREFIX           ?= /usr/local
prefix           ?= ${PREFIX}
exec_prefix      ?= ${prefix}
bindir           ?= ${exec_prefix}/bin
INSTALL_DEST_DIR := ${DESTDIR}${bindir}
## The prefix where Git will be installed to.
GIT_PREFIX       ?= ${PREFIX}

# Tools
GIT                         := $(shell command -v git)
GOIMPORTS                   := ${TOOLS_DIR}/goimports
GOFUMPT                     := ${TOOLS_DIR}/gofumpt
GOLANGCI_LINT               := ${TOOLS_DIR}/golangci-lint
PROTOLINT                   := ${TOOLS_DIR}/protolint
GO_LICENSES                 := ${TOOLS_DIR}/go-licenses
PROTOC                      := ${TOOLS_DIR}/protoc
PROTOC_GEN_GO               := ${TOOLS_DIR}/protoc-gen-go
PROTOC_GEN_GO_GRPC          := ${TOOLS_DIR}/protoc-gen-go-grpc
PROTOC_GEN_GITALY_LINT      := ${TOOLS_DIR}/protoc-gen-gitaly-lint
PROTOC_GEN_GITALY_PROTOLIST := ${TOOLS_DIR}/protoc-gen-gitaly-protolist
GOTESTSUM                   := ${TOOLS_DIR}/gotestsum
GOCOVER_COBERTURA           := ${TOOLS_DIR}/gocover-cobertura
DELVE                       := ${TOOLS_DIR}/dlv

# Tool options
GOLANGCI_LINT_OPTIONS ?=
GOLANGCI_LINT_CONFIG  ?= ${SOURCE_DIR}/.golangci.yml

# Build information
GITALY_PACKAGE    := gitlab.com/gitlab-org/gitaly/v15
GITALY_VERSION    := $(shell ${GIT} describe --match v* 2>/dev/null | sed 's/^v//' || cat ${SOURCE_DIR}/VERSION 2>/dev/null || echo unknown)
GO_LDFLAGS        := -X ${GITALY_PACKAGE}/internal/version.version=${GITALY_VERSION}
SERVER_BUILD_TAGS := tracer_static,tracer_static_jaeger,tracer_static_stackdriver,continuous_profiler_stackdriver
GIT2GO_BUILD_TAGS := static,system_libgit2

# Temporary GNU build ID used as a placeholder value so that we can replace it
# with our own one after binaries have been built. This is the ASCII encoding
# of the string "TEMP_GITALY_BUILD_ID".
TEMPORARY_BUILD_ID := 54454D505F474954414C595F4255494C445F4944

## FIPS_MODE controls whether to build Gitaly and dependencies in FIPS mode.
## Set this to a non-empty value to enable it.
FIPS_MODE ?=

ifdef FIPS_MODE
    SERVER_BUILD_TAGS := ${SERVER_BUILD_TAGS},fips
    GIT2GO_BUILD_TAGS := ${GIT2GO_BUILD_TAGS},fips

    # Build Git with the OpenSSL backend for SHA256 in case FIPS-mode is
    # requested. Note that we explicitly don't do the same for SHA1: we
    # instead use SHA1DC to protect users against the SHAttered attack.
    GIT_FIPS_BUILD_OPTIONS := OPENSSL_SHA256=YesPlease

    export GITALY_TESTING_ENABLE_FIPS := YesPlease
endif

ifdef GITALY_TESTING_ENABLE_SHA256
    SERVER_BUILD_TAGS := ${SERVER_BUILD_TAGS},gitaly_test_sha256
    GIT2GO_BUILD_TAGS := ${GIT2GO_BUILD_TAGS},gitaly_test_sha256
endif

# protoc target
PROTOC_VERSION      ?= v21.7
PROTOC_REPO_URL     ?= https://github.com/protocolbuffers/protobuf
PROTOC_SOURCE_DIR   ?= ${DEPENDENCY_DIR}/protobuf/source
PROTOC_BUILD_DIR    ?= ${DEPENDENCY_DIR}/protobuf/build
PROTOC_INSTALL_DIR  ?= ${DEPENDENCY_DIR}/protobuf/install

ifeq ($(origin PROTOC_BUILD_OPTIONS),undefined)
    ## Build options for protoc.
    PROTOC_BUILD_OPTIONS ?=
    PROTOC_BUILD_OPTIONS += -DBUILD_SHARED_LIBS=NO
    PROTOC_BUILD_OPTIONS += -DCMAKE_INSTALL_PREFIX=${PROTOC_INSTALL_DIR}
    PROTOC_BUILD_OPTIONS += -Dprotobuf_BUILD_TESTS=OFF
endif

# Git target
GIT_REPO_URL       ?= https://gitlab.com/gitlab-org/git.git
GIT_QUIET          :=
ifeq (${Q},@)
    GIT_QUIET = --quiet
endif

GIT_EXECUTABLES += git
GIT_EXECUTABLES += git-remote-http
GIT_EXECUTABLES += git-http-backend

## The version of Git to build and test Gitaly with when not used
## WITH_BUNDLED_GIT=YesPlease. Can be set to an arbitrary Git revision with
## tags, branches, and commit ids.
GIT_VERSION ?=
## The Git version used for bundled Git v2.38.
GIT_VERSION_2_38 ?= v2.38.5.gl1
## The Git version used for bundled Git v2.39.
GIT_VERSION_2_39 ?= v2.39.3.gl1

## Skip overriding the Git version and instead use the Git version as specified
## in the Git sources. This is required when building Git from a version that
## cannot be parsed by Gitaly.
SKIP_OVERRIDING_GIT_VERSION ?=

# The default version is used in case the caller does not set the variable or
# if it is either set to the empty string or "default".
ifeq (${GIT_VERSION:default=},)
    override GIT_VERSION := ${GIT_VERSION_2_39}
else
    # Support both vX.Y.Z and X.Y.Z version patterns, since callers across GitLab
    # use both.
    override GIT_VERSION := $(shell echo ${GIT_VERSION} | awk '/^[0-9]\.[0-9]+\.[0-9]+$$/ { printf "v" } { print $$1 }')
endif

ifeq ($(origin GIT_BUILD_OPTIONS),undefined)
    ## Build options for Git.
    GIT_BUILD_OPTIONS ?=
    # activate developer checks
    GIT_BUILD_OPTIONS += DEVELOPER=1
    # but don't cause warnings to fail the build
    GIT_BUILD_OPTIONS += DEVOPTS=no-error
    GIT_BUILD_OPTIONS += USE_LIBPCRE=YesPlease
    GIT_BUILD_OPTIONS += NO_PERL=YesPlease
    GIT_BUILD_OPTIONS += NO_EXPAT=YesPlease
    GIT_BUILD_OPTIONS += NO_TCLTK=YesPlease
    GIT_BUILD_OPTIONS += NO_GETTEXT=YesPlease
    GIT_BUILD_OPTIONS += NO_PYTHON=YesPlease
    PCRE_PC=libpcre2-8
    ifeq ($(shell pkg-config --exists ${PCRE_PC} && echo exists),exists)
	    GIT_BUILD_OPTIONS += LIBPCREDIR=$(shell pkg-config ${PCRE_PC} --variable prefix)
    endif
endif

ifdef GIT_APPEND_BUILD_OPTIONS
	GIT_BUILD_OPTIONS += ${GIT_APPEND_BUILD_OPTIONS}
endif

ifdef GIT_FIPS_BUILD_OPTIONS
	GIT_BUILD_OPTIONS += ${GIT_FIPS_BUILD_OPTIONS}
endif

# libgit2 target
# Git2Go and libgit2 may need to be updated in sync. Please refer to
# https://github.com/libgit2/git2go/#which-go-version-to-use for a
# compatibility matrix.
GIT2GO_VERSION      ?= v34
LIBGIT2_VERSION     ?= v1.5.1
LIBGIT2_REPO_URL    ?= https://gitlab.com/libgit2/libgit2.git
LIBGIT2_SOURCE_DIR  ?= ${DEPENDENCY_DIR}/libgit2/source
LIBGIT2_BUILD_DIR   ?= ${DEPENDENCY_DIR}/libgit2/build
LIBGIT2_INSTALL_DIR ?= ${DEPENDENCY_DIR}/libgit2/install

ifeq ($(origin LIBGIT2_BUILD_OPTIONS),undefined)
    ## Build options for libgit2.
    LIBGIT2_BUILD_OPTIONS ?=
    LIBGIT2_BUILD_OPTIONS += -DBUILD_CLI=OFF
    LIBGIT2_BUILD_OPTIONS += -DBUILD_TESTS=OFF
    LIBGIT2_BUILD_OPTIONS += -DBUILD_SHARED_LIBS=OFF
    LIBGIT2_BUILD_OPTIONS += -DCMAKE_C_FLAGS=-fPIC
    LIBGIT2_BUILD_OPTIONS += -DCMAKE_BUILD_TYPE=Release
    LIBGIT2_BUILD_OPTIONS += -DCMAKE_INSTALL_PREFIX=${LIBGIT2_INSTALL_DIR}
    LIBGIT2_BUILD_OPTIONS += -DCMAKE_INSTALL_LIBDIR=lib
    LIBGIT2_BUILD_OPTIONS += -DUSE_SSH=OFF
    LIBGIT2_BUILD_OPTIONS += -DUSE_HTTPS=OFF
    LIBGIT2_BUILD_OPTIONS += -DUSE_ICONV=OFF
    LIBGIT2_BUILD_OPTIONS += -DUSE_NTLMCLIENT=OFF
    LIBGIT2_BUILD_OPTIONS += -DUSE_BUNDLED_ZLIB=ON
    LIBGIT2_BUILD_OPTIONS += -DUSE_HTTP_PARSER=builtin
    LIBGIT2_BUILD_OPTIONS += -DUSE_THREADS=ON
    LIBGIT2_BUILD_OPTIONS += -DREGEX_BACKEND=builtin
endif

ifdef LIBGIT2_APPEND_BUILD_OPTIONS
	LIBGIT2_BUILD_OPTIONS += ${LIBGIT2_APPEND_BUILD_OPTIONS}
endif

# These variables control test options and artifacts
## List of Go packages which shall be tested.
## Go packages to test when using the test-go target.
TEST_PACKAGES     ?= ${SOURCE_DIR}/...
## Test options passed to `go test`.
TEST_OPTIONS      ?= -count=1
## Specify the output format used to print tests ["standard-verbose", "standard-quiet", "short"]
TEST_FORMAT       ?= short
TEST_REPORT       ?= ${BUILD_DIR}/reports/go-tests-report.xml
# Full output of `go test -json`
TEST_FULL_OUTPUT  ?= /dev/null
## Specify the output directory for test coverage reports.
TEST_COVERAGE_DIR ?= ${BUILD_DIR}/cover
## Directory where all runtime test data is being created.
TEST_TMP_DIR      ?=
## Directory where Gitaly should write logs to during test execution.
TEST_LOG_DIR	  ?=
TEST_REPO_DIR     := ${BUILD_DIR}/testrepos
TEST_REPO         := ${TEST_REPO_DIR}/gitlab-test.git
BENCHMARK_REPO    := ${TEST_REPO_DIR}/benchmark.git
## Options to pass to the script which builds the Gitaly gem
BUILD_GEM_OPTIONS ?=

# All executables provided by Gitaly.
GITALY_EXECUTABLES           = $(addprefix ${BUILD_DIR}/bin/,$(notdir $(shell find ${SOURCE_DIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
# All executables packed inside the Gitaly binary.
GITALY_PACKED_EXECUTABLES    = $(filter %gitaly-hooks %gitaly-git2go %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})
# All executables that should be installed.
GITALY_INSTALLED_EXECUTABLES = $(filter-out ${GITALY_PACKED_EXECUTABLES}, ${GITALY_EXECUTABLES})
# Find all Go source files.
find_go_sources              = $(shell find ${SOURCE_DIR} -type d \( -path "${SOURCE_DIR}/_*" -o -path "${SOURCE_DIR}/ruby" -o -path "${SOURCE_DIR}/proto" \) -prune -o -type f -name '*.go' -print | sort -u)

# run_go_tests will execute Go tests with all required parameters. Its
# behaviour can be modified via the following variables:
#
# TEST_OPTIONS: any additional options
# TEST_PACKAGES: packages which shall be tested
# TEST_LOG_DIR: specify the output log dir. By default, all logs will be discarded
run_go_tests = PATH='${SOURCE_DIR}/internal/testhelper/testdata/home/bin:${PATH}' \
    TEST_TMP_DIR='${TEST_TMP_DIR}' \
    TEST_LOG_DIR='${TEST_LOG_DIR}' \
    ${GOTESTSUM} --format ${TEST_FORMAT} --junitfile ${TEST_REPORT} --jsonfile ${TEST_FULL_OUTPUT} -- -ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS},${GIT2GO_BUILD_TAGS},gitaly_test_signing' ${TEST_OPTIONS} ${TEST_PACKAGES}

## Test options passed to `dlv test`.
DEBUG_OPTIONS      ?= $(patsubst -%,-test.%,${TEST_OPTIONS})

# debug_go_tests will execute Go tests from a single package in the delve debugger.
# Its behaviour can be modified via the following variable:
#
# DEBUG_OPTIONS: any additional options, will default to TEST_OPTIONS if not set.
debug_go_tests = PATH='${SOURCE_DIR}/internal/testhelper/testdata/home/bin:${PATH}' \
    TEST_TMP_DIR='${TEST_TMP_DIR}' \
    ${DELVE} test --build-flags="-ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS},${GIT2GO_BUILD_TAGS}'" ${TEST_PACKAGES} -- ${DEBUG_OPTIONS}

unexport GOROOT
## GOCACHE_MAX_SIZE_KB is the maximum size of Go's build cache in kilobytes before it is cleaned up.
GOCACHE_MAX_SIZE_KB              ?= 5000000
export GOCACHE                   ?= ${BUILD_DIR}/cache
export GOPROXY                   ?= https://proxy.golang.org
export PATH                      := ${BUILD_DIR}/bin:${PATH}
export PKG_CONFIG_PATH           := ${LIBGIT2_INSTALL_DIR}/lib/pkgconfig:${PKG_CONFIG_PATH}
# Allow the linker flag -D_THREAD_SAFE as libgit2 is compiled with it on FreeBSD

=== debian/changelog ===
gitaly (15.10.8+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Jun 2023 20:09:49 +0530

gitaly (15.10.8+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update minimum version of git
  * New upstream version 15.10.8+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 09 Jun 2023 09:00:55 +0530

gitaly (15.10.7+dfsg-1) experimental; urgency=medium

  * Update minimum version of ruby-rugged to 1.5.1~
  * Update minimum version of ruby-activesupport
  * New upstream version 15.10.7+dfsg
  * Drop tools/golangci-lint directory (build fails)
  * Relax dependency on google-protobuf (version in archive is old)

 -- Pirate Praveen <praveen@debian.org>  Mon, 29 May 2023 10:35:03 +0530

gitaly (15.9.8+dfsg-1) experimental; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 15.9.2+dfsg1

  [ Pirate Praveen ]
  * New upstream version 15.9.7+dfsg
  * New upstream version 15.9.8+dfsg

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 May 2023 19:39:35 +0530

gitaly (15.8.4+dfsg1-2) experimental; urgency=medium

  * Team Upload.

  [ Pirate Praveen ]
  * Exclude ruby dependencies in nocheck build profile
  * Remove more generated files
  * Regenerate Gemfile.lock in tools/protogem directory

  [ Mohammed Bilal ]
  * Replace '' in path before checking storage path
    Thanks to Leopold for the bug report + patch  (Closes: #974159)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 08 Apr 2023 23:39:59 +0530

gitaly (15.8.4+dfsg1-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Team upload.
  * Update minimum version of gitlab-shell to 14.14~
  * Update minimum version of ruby-google-protobuf

  [ Vinay Keshava ]
  * New upstream version 15.8.4+dfsg1

 -- Vinay Keshava <vinaykeshava@disroot.org>  Thu, 16 Mar 2023 00:56:26 +0530

gitaly (15.7.8+dfsg1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Bump min version of golang-go to 1.18
  * Update min version of git

  [ Pirate Praveen ]
  * New upstream version 15.7.8+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 15.7.8+dfsg1
    (add github.com/hashicorp/golang-lru/v2 to vendor)
  * Drop ruby-github-linguist dependency
  * Refresh patches
  * Drop ruby-gitlab-license-finder dependency
  * Use * text=auto eol=lf in .gitattributes to fix line endings issues
  * Add ruby-gitaly to Depends, update ruby-gitlab-labkit minimum version
  * Remove devel and test groups from ruby/Gemfile

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Mar 2023 16:14:35 +0530

gitaly (15.6.6+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.6+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 22 Jan 2023 21:24:16 +0530

gitaly (15.6.4+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.4+dfsg
    - The following modules are now vendored
      + github.com/aws/aws-sdk-go-v2
      + github.com/Azure/azure-sdk-for-go/sdk
      + github.com/AzureAD/microsoft-authentication-library-for-go
      + gocloud.dev
  * d/control: Update min versions, add new deps
  * Refresh patches
    + Add patch to use golang-github-cli-browser

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 13 Jan 2023 22:11:29 +0530

gitaly (15.5.4+dfsg1-1) experimental; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Update dependency versions

  [ Mohammed Bilal ]
  * New upstream version 15.5.4+dfsg1
     - Update vendored genproto version (0.0~git20210726.e7812ac)

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 12 Jan 2023 17:00:14 +0000

gitaly (15.5.4+dfsg-1) experimental; urgency=medium

  * Team Upload

  [ Pirate Praveen ]
  * Update minimum version of golang-github-go-enry-go-license-detector-dev
  * Switch to golang-github-golang-protobuf-1-5-dev (renamed)

  [ Mohammed Bilal ]
  * vendor packages that conflicts with golang-github-golang-protobuf-1-3-dev
  * New upstream version 15.5.4+dfsg
  * d/source/lintian-overrides:
      - lintian overrides for source-is-missing
      - override license-problem-gfdl-invariants lintian error
  * d/control:
      - add Build-Deps to build vendored modules
      - update minimum version of ruby-gitlab-labkit
      - rename golang-golang-x-tools to -dev 
      - fix ruby-script-but-no-ruby-dep lintian error
      - Bump min version of gitlab-shell
  * d/patches:
      - Refresh patches
      - drop patches no longer required
      - add patch to exclude go tools during build
      - add patch to modify build-proto-gem
  * d/rules: rename generate-proto-ruby to build-proto-gem

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 26 Nov 2022 18:04:55 +0530

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_GO_GENERATE := 1
#export DH_GOLANG_INSTALL_ALL := 1  # test data
#export DH_GOLANG_INSTALL_EXTRA := vendor
export DH_RUBY = --gem-install
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
export GEM2DEB_TEST_RUNNER = --check-dependencies
export RAILS_ENV = development # for bundle install --local test
export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v15/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
# All executables packed inside the Gitaly binary.
export GITALY_PACKED_EXECUTABLES = $(filter %gitaly-hooks %gitaly-git2go %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})

include /usr/share/dpkg/pkg-info.mk
## Set some build variables as per Makefile:
VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
PKG := gitlab.com/gitlab-org/gitaly/v15
MODULE_VERSION := v15
GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
GO_BUILD_TAGS ?= static,system_libgit2

%:
	dh $@  --buildsystem=golang --with=golang --package=golang-gitlab-gitlab-org-gitaly-dev \
	--builddirectory=_build
	dh $@  --buildsystem=ruby --with=ruby --package=ruby-gitaly
	dh $@  --package=gitlab-common
	dh $@  --package=gitaly

override_dh_auto_clean:
	rm -rf ruby/proto/gitaly/*_pb.rb
	dh_auto_clean -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build
	dh_auto_clean -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build -- \
	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
           $(GITALY_PACKED_EXECUTABLES)
	mkdir -p _build/src/${PKG}/_build/ && cp -a _build/bin _build/src/${PKG}/_build/
	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build -- \
	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
           gitlab.com/gitlab-org/gitaly/v15/cmd/gitaly
	rm -rf _build/src/${PKG}/_build/
	rm tools/protogem/Gemfile.lock
	RAILS_ENV=$(RAILS_ENV) BUNDLE_GEMFILE=tools/protogem/Gemfile \
	bundle install --local
	RAILS_ENV=$(RAILS_ENV) BUNDLE_GEMFILE=tools/protogem/Gemfile \
	bundle exec tools/protogem/build-proto-gem -o .
	dh_auto_build -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	# Test hangs, so don't even run it
	#-dh_auto_test -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	#-O--builddirectory=_build
	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly
	# Test if ruby dependencies are satisfied
	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
        RAILS_ENV=$(RAILS_ENV) bundle install --local || exit 1;\
        rm $$TMPDIR/Gemfile* $$TMPDIR/.bundle/config;\
       	rmdir $$TMPDIR/config; rmdir $$TMPDIR
endif

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--no-binaries --builddirectory=_build --destdir=debian/golang-gitlab-gitlab-org-gitaly-dev
	dh_auto_install -O--buildsystem=ruby -O--package=ruby-gitaly --destdir=debian/ruby-gitaly
	$(RM) -rv debian/golang-gitlab-gitlab-org-gitaly-dev/usr/bin
	# Remove testdata, contains files that triggers more lintian errors
	for f in `find debian/ -name testdata`; do \
		$(RM) -rv $$f; \
	done

override_dh_install:
	dh_install
	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/Gemfile.lock
	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/.gitignore
	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/gitlab-shell/.gitignore

## gitaly 15.11.11+dfsg

=== debian/changelog ===
gitaly (15.11.11+dfsg-1) unstable; urgency=medium

  * New upstream version 15.11.11+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Jul 2023 11:18:35 +0530

gitaly (15.11.6+dfsg-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * New upstream version 15.10.8+dfsg

  [ Vinay Keshava ]
  * New upstream version 15.11.6+dfsg
  * Refresh Patches

 -- Vinay Keshava <vinaykeshava@disroot.org>  Tue, 20 Jun 2023 11:27:57 +0530

gitaly (15.10.8+dfsg-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 01:54:28 +0530

=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
 Sruthi Chandran <srud@debian.org>
Build-Depends: debhelper (>= 11~),
 dh-golang (>= 1.43~),
# See #1016217 (gccgo and x/net don't work well together right now)
# golang-any (>= 2:1.17~),
 golang-go (>= 2:1.18~),
 golang-github-aws-aws-sdk-go-dev,
 golang-github-azure-azure-pipeline-go-dev,
 golang-github-azure-azure-storage-blob-go-dev (>= 0.14~),
 golang-github-azure-go-autorest-dev (>= 14.2~),
 golang-github-beevik-ntp-dev,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-client9-reopen-dev,
 golang-github-cloudflare-tableflip-dev (>= 1.2~),
 golang-github-containerd-cgroups-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-dchest-safefile-dev,
 golang-github-getsentry-sentry-go-dev,
 golang-github-golang-jwt-jwt-dev,
 golang-github-git-lfs-git-lfs-dev (>= 3.0~),
 golang-github-golang-protobuf-1-5-dev,
 golang-github-google-uuid-dev,
 golang-github-google-wire-dev,
 golang-github-go-enry-go-license-detector-dev (>= 4.3.0+git20221007~),
# golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 1.2.3~),
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2~),
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~),
 golang-github-jackc-pgconn-dev,
 golang-github-jackc-pgx-v4-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-lib-pq-dev (>= 1.3~),
 golang-github-opencontainers-specs-dev,
 golang-github-opentracing-opentracing-go-dev,
 golang-github-oklog-ulid-dev (>= 2.0~),
 golang-github-pelletier-go-toml.v2-dev,
 golang-github-pmezard-go-difflib-dev,
# golang-github-prometheus-client-golang-dev,
# golang-github-prometheus-client-model-dev,
# golang-github-prometheus-common-dev,
 golang-github-rubenv-sql-migrate-dev,
 golang-github-sebest-xff-dev,
 golang-github-sirupsen-logrus-dev (>= 1.0~),
 golang-github-stretchr-testify-dev (>= 1.4~),
 golang-github-urfave-cli-v2-dev,
 golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.18~),
# golang-gitlab-gitlab-org-labkit-dev (>= 1.16~),
# golang-gocloud-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
 golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-golang-x-xerrors-dev,
# golang-google-grpc-dev (>= 1.38.0-3~),
 golang-google-protobuf-dev,
 golang-gopkg-gorp.v1-dev,
 golang-github-libgit2-git2go-v34-dev,
 golang-gopkg-yaml.v2-dev,
 golang-honnef-go-tools-dev,
 golang-procfs-dev,
# golang-protobuf-extensions-dev,
 golang-uber-goleak-dev,
 protobuf-compiler,
# Tests:
#  ,git
#  ,procps
# required for vendored gocloud.dev
 golang-github-aws-smithy-go-dev,
 golang-github-kylelemons-godebug-dev,
 golang-github-cli-browser-dev,
 gem2deb,
 ruby-grpc-tools (>= 1.42~),
 ruby-bundler,
 ruby-rugged (>= 1.5.1~) <!nocheck>,
 ruby-gitlab-markup (>= 1.7.1~) <!nocheck>,
 ruby-github-markup (>= 1.7.0~) <!nocheck>,
 ruby-activesupport (>= 2:6.1.7.2~) <!nocheck>,
 ruby-grpc (>= 1.42~) <!nocheck>,
 ruby-sentry-raven (>= 3.0~) <!nocheck>,
 ruby-faraday (>= 0.12~) <!nocheck>,
 ruby-rbtrace <!nocheck>,
 ruby-gitaly (>= 15.5~) <!nocheck>,
 ruby-gitlab-labkit (>= 0.31~) <!nocheck>,
 ruby-licensee (>= 9.15~) <!nocheck>,
 ruby-google-protobuf (>= 3.21.12~) <!nocheck>,
 ruby-redis (>= 4.8~) <!nocheck>,
 ruby-nokogiri (>=1.14~)
Standards-Version: 4.6.2
Homepage: https://gitlab.com/gitlab-org/gitaly
Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
XS-Ruby-Versions: all
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v15

Package: gitaly
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends},
     ${ruby:Depends},
     gitlab-common (=${source:Version}),
     ruby,
     ruby-bundler,
     ruby-rugged (>= 1.5.1~),
     ruby-gitlab-markup (>= 1.7.1~),
     ruby-github-markup (>= 1.7.0~),
     ruby-activesupport (>= 2:6.1.7.2~),
     ruby-grpc (>= 1.42~),
     ruby-google-protobuf (>= 3.21.12~),
     ruby-sentry-raven (>= 3.0~),
     ruby-faraday (>= 0.12~),
     ruby-rbtrace,
     ruby-gitaly (>= 15.5~),
     ruby-gitlab-labkit (>= 0.31~),
     ruby-licensee (>= 9.15~),
     ruby-redis (>= 4.8~),
     ruby-nokogiri (>= 1.14~),
# sysv deps:
     pipexec,
     procps
Conflicts: libruby2.5
Description: Git RPC service for handling all the git calls made by GitLab
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.

Package: ruby-gitaly
Section: ruby
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby,
         ruby-grpc (>= 1.0~),
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Auto-generated gRPC client for gitaly
 Auto-generated gRPC ruby client for gitaly.
 .
 Gitaly is part of GitLab. It is a server application that uses its own gRPC
 protocol to communicate with its clients.

Package: gitlab-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ruby:Depends},
 ruby,
 adduser (>= 3.34~),
 git (>= 1:2.38~),
 ucf,
 gitlab-shell (>= 14.18~)
Description: git powered software platform to collaborate on code (common)
 gitlab provides web based interface to host source code and track issues.
 It allows anyone for fork a repository and send merge requests. Code review
 is possible using merge request workflow. Using groups and roles project
 access can be controlled.
 .
 This package includes configurations common to gitlab and gitaly.

Package: golang-gitlab-gitlab-org-gitaly-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-aws-aws-sdk-go-dev,
         golang-github-azure-azure-pipeline-go-dev,
         golang-github-azure-azure-storage-blob-go-dev (>= 0.14~),
         golang-github-azure-go-autorest-dev (>= 14.2~),
         golang-github-beevik-ntp-dev,
         golang-github-beorn7-perks-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-client9-reopen-dev,
         golang-github-cloudflare-tableflip-dev (>= 1.2~),
         golang-github-containerd-cgroups-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-dchest-safefile-dev,
         golang-github-getsentry-sentry-go-dev,
         golang-github-git-lfs-git-lfs-dev (>= 3.0~),
         golang-github-golang-protobuf-1-5-dev,
         golang-github-google-uuid-dev,
         golang-github-google-wire-dev,
         golang-github-go-enry-go-license-detector-dev (>= 4.3.0+git20221007~),
#         golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 1.2.3~),
#         golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2~),
         golang-github-hashicorp-golang-lru-dev,
         golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~),
         golang-github-jackc-pgconn-dev,
         golang-github-jackc-pgx-v4-dev,
         golang-github-kelseyhightower-envconfig-dev,
         golang-github-lib-pq-dev (>= 1.3~),
         golang-github-opencontainers-specs-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-oklog-ulid-dev (>= 2.0~),
         golang-github-pelletier-go-toml.v2-dev,
         golang-github-pmezard-go-difflib-dev,
#         golang-github-prometheus-client-golang-dev,
#         golang-github-prometheus-client-model-dev,
#         golang-github-prometheus-common-dev,
         golang-github-rubenv-sql-migrate-dev,
         golang-github-sebest-xff-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0~),
         golang-github-stretchr-testify-dev (>= 1.8~),
         golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.18~),
#         golang-gitlab-gitlab-org-labkit-dev,
#         golang-gocloud-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-text-dev,
         golang-golang-x-time-dev,
         golang-golang-x-tools-dev,
         golang-golang-x-xerrors-dev,
#         golang-google-grpc-dev (>= 1.38.0-3~),
         golang-google-protobuf-dev,
         golang-gopkg-gorp.v1-dev,
         golang-github-libgit2-git2go-v34-dev,
         golang-gopkg-yaml.v2-dev,
         golang-honnef-go-tools-dev,
         golang-procfs-dev,
#         golang-protobuf-extensions-dev,
         golang-uber-goleak-dev,
Description: Gitaly golang module
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.
 .
 This package provides golang module of gitaly.

## gitaly 16.0.7+ds1

=== Makefile ===
--- 
+++ 
@@ -29,14 +29,6 @@
 PROTO_DEST_DIR   := ${SOURCE_DIR}/proto/go
 DEPENDENCY_DIR   := ${BUILD_DIR}/deps
 TOOLS_DIR        := ${BUILD_DIR}/tools
-GITALY_RUBY_DIR  := ${SOURCE_DIR}/ruby
-# This file is used as a dependency for running `bundle install`: when its
-# mtime is older than that of either `Gemfile` or `Gemfile.lock` we will
-# execute the command. There is not typically any need to change the location,
-# but we need this for our unprivileged CI so that it can be moved into the
-# `_build` directory. Just moving the file completely doesn't work, as both CNG
-# and Omnibus depend on it to inhibit re-bundling Ruby Gems.
-RUBY_BUNDLE_FILE ?= ${SOURCE_DIR}/.ruby-bundle
 
 # These variables may be overridden at runtime by top-level make
 ## The prefix where Gitaly binaries will be installed to. Binaries will end up
@@ -61,6 +53,7 @@
 PROTOC_GEN_GO_GRPC          := ${TOOLS_DIR}/protoc-gen-go-grpc
 PROTOC_GEN_GITALY_LINT      := ${TOOLS_DIR}/protoc-gen-gitaly-lint
 PROTOC_GEN_GITALY_PROTOLIST := ${TOOLS_DIR}/protoc-gen-gitaly-protolist
+PROTOC_GEN_DOC              := ${TOOLS_DIR}/protoc-gen-doc
 GOTESTSUM                   := ${TOOLS_DIR}/gotestsum
 GOCOVER_COBERTURA           := ${TOOLS_DIR}/gocover-cobertura
 DELVE                       := ${TOOLS_DIR}/dlv
@@ -70,7 +63,7 @@
 GOLANGCI_LINT_CONFIG  ?= ${SOURCE_DIR}/.golangci.yml
 
 # Build information
-GITALY_PACKAGE    := gitlab.com/gitlab-org/gitaly/v15
+GITALY_PACKAGE    := $(shell go list -m 2>/dev/null || echo unknown)
 GITALY_VERSION    := $(shell ${GIT} describe --match v* 2>/dev/null | sed 's/^v//' || cat ${SOURCE_DIR}/VERSION 2>/dev/null || echo unknown)
 GO_LDFLAGS        := -X ${GITALY_PACKAGE}/internal/version.version=${GITALY_VERSION}
 SERVER_BUILD_TAGS := tracer_static,tracer_static_jaeger,tracer_static_stackdriver,continuous_profiler_stackdriver
@@ -93,6 +86,13 @@
     # requested. Note that we explicitly don't do the same for SHA1: we
     # instead use SHA1DC to protect users against the SHAttered attack.
     GIT_FIPS_BUILD_OPTIONS := OPENSSL_SHA256=YesPlease
+
+    # Go 1.19+ now requires GOEXPERIMENT=boringcrypto for FIPS compilation.
+    # See https://github.com/golang/go/issues/51940 for more details.
+    BORINGCRYPTO_SUPPORT := $(shell GOEXPERIMENT=boringcrypto go version > /dev/null 2>&1; echo $$?)
+    ifeq ($(BORINGCRYPTO_SUPPORT), 0)
+        export GOEXPERIMENT=boringcrypto
+    endif
 
     export GITALY_TESTING_ENABLE_FIPS := YesPlease
 endif
@@ -132,10 +132,10 @@
 ## WITH_BUNDLED_GIT=YesPlease. Can be set to an arbitrary Git revision with
 ## tags, branches, and commit ids.
 GIT_VERSION ?=
-## The Git version used for bundled Git v2.38.
-GIT_VERSION_2_38 ?= v2.38.5.gl1
 ## The Git version used for bundled Git v2.39.
 GIT_VERSION_2_39 ?= v2.39.3.gl1
+## The Git version used for bundled Git v2.40.
+GIT_VERSION_2_40 ?= v2.40.1.gl2
 
 ## Skip overriding the Git version and instead use the Git version as specified
 ## in the Git sources. This is required when building Git from a version that
@@ -222,9 +222,10 @@
 TEST_OPTIONS      ?= -count=1
 ## Specify the output format used to print tests ["standard-verbose", "standard-quiet", "short"]
 TEST_FORMAT       ?= short
-TEST_REPORT       ?= ${BUILD_DIR}/reports/go-tests-report.xml
-# Full output of `go test -json`
-TEST_FULL_OUTPUT  ?= /dev/null
+## Specify the location where the JUnit-style format shall be written to.
+TEST_JUNIT_REPORT ?= ${BUILD_DIR}/reports/tests-junit.xml
+## Specify the location where the full JSON report shall be written to.
+TEST_JSON_REPORT  ?=
 ## Specify the output directory for test coverage reports.
 TEST_COVERAGE_DIR ?= ${BUILD_DIR}/cover
 ## Directory where all runtime test data is being created.
@@ -244,7 +245,7 @@
 # All executables that should be installed.
 GITALY_INSTALLED_EXECUTABLES = $(filter-out ${GITALY_PACKED_EXECUTABLES}, ${GITALY_EXECUTABLES})
 # Find all Go source files.
-find_go_sources              = $(shell find ${SOURCE_DIR} -type d \( -path "${SOURCE_DIR}/_*" -o -path "${SOURCE_DIR}/ruby" -o -path "${SOURCE_DIR}/proto" \) -prune -o -type f -name '*.go' -print | sort -u)
+find_go_sources              = $(shell find ${SOURCE_DIR} -type d \( -path "${SOURCE_DIR}/_*" -o -path "${SOURCE_DIR}/proto" \) -prune -o -type f -name '*.go' -print | sort -u)
 
 # run_go_tests will execute Go tests with all required parameters. Its
 # behaviour can be modified via the following variables:
@@ -255,7 +256,7 @@
 run_go_tests = PATH='${SOURCE_DIR}/internal/testhelper/testdata/home/bin:${PATH}' \
     TEST_TMP_DIR='${TEST_TMP_DIR}' \
     TEST_LOG_DIR='${TEST_LOG_DIR}' \
-    ${GOTESTSUM} --format ${TEST_FORMAT} --junitfile ${TEST_REPORT} --jsonfile ${TEST_FULL_OUTPUT} -- -ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS},${GIT2GO_BUILD_TAGS},gitaly_test_signing' ${TEST_OPTIONS} ${TEST_PACKAGES}
+    ${GOTESTSUM} --format ${TEST_FORMAT} --junitfile '${TEST_JUNIT_REPORT}' --jsonfile '${TEST_JSON_REPORT}' -- -ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS},${GIT2GO_BUILD_TAGS}' ${TEST_OPTIONS} ${TEST_PACKAGES}
 
 ## Test options passed to `dlv test`.
 DEBUG_OPTIONS      ?= $(patsubst -%,-test.%,${TEST_OPTIONS})
@@ -276,3 +277,5 @@
 export PATH                      := ${BUILD_DIR}/bin:${PATH}
 export PKG_CONFIG_PATH           := ${LIBGIT2_INSTALL_DIR}/lib/pkgconfig:${PKG_CONFIG_PATH}
 # Allow the linker flag -D_THREAD_SAFE as libgit2 is compiled with it on FreeBSD
+export CGO_LDFLAGS_ALLOW          = -D_THREAD_SAFE
+

=== github.com/yoheimuta/protolint/Makefile ===
## test/all runs all related tests.
test/all: test/lint test

## test runs `go test`
test:
	go test -v -p 2 -count 1 -timeout 240s -race ./...

## test runs `go test -run $(RUN)`
test/run:
	go test -v -p 2 -count 1 -timeout 240s -race ./... -run $(RUN)

## test/lint runs linter
test/lint:
	# checks the coding style.
	(! gofmt -s -d `find . -name vendor -prune -type f -o -name '*.go'` | grep '^')
	golint -set_exit_status `go list ./...`
	# checks the import format.
	(! goimports -l `find . -name vendor -prune -type f -o -name '*.go'` | grep -v 'pb.go' | grep 'go')
	# checks the error the compiler can't find.
	go vet ./...
	# checks shadowed variables.
	go vet -vettool=$(which shadow) ./...
	# checks no used assigned value.
	ineffassign ./...
	# checks not to ignore the error.
	errcheck ./...
	# checks unused global variables and constants.
	varcheck ./...
	# checks dispensable type conversions.
	unconvert -v ./...

## dev/install/dep installs depenencies required for development.
dev/install/dep:
	sh ./.github/install_dep.sh

## dev/build/proto builds proto files under the _proto directory.
dev/build/proto:
	protoc -I _proto _proto/*.proto --go_out=plugins=grpc:internal/addon/plugin/proto

## ARG is command arguments.
ARG=lint _example/proto

## run/cmd/protolint runs protolint with ARG
run/cmd/protolint:
	go run cmd/protolint/main.go $(ARG)

## run/cmd/protolint/exampleconfig runs protolint with ARG under _example/config
run/cmd/protolint/exampleconfig:
	cd _example/config && go run ../../cmd/protolint/main.go $(ARG)

## build/cmd/protolint builds protolint
build/cmd/protolint:
	go build \
		-ldflags "-X github.com/yoheimuta/protolint/internal/cmd.version=`git describe --tags --abbrev=0` -X github.com/yoheimuta/protolint/internal/cmd.revision=`git rev-parse --short HEAD`" \
		-o protolint \
		cmd/protolint/main.go

## build/example/plugin builds a plugin
build/example/plugin:
	go build -o plugin_example _example/plugin/main.go

## build/cmd/protoc-gen-protolint builds protoc-gen-protolint
build/cmd/protoc-gen-protolint:
	go build \
		-ldflags "-X github.com/yoheimuta/protolint/internal/cmd/protocgenprotolint.version=`git describe --tags --abbrev=0` -X github.com/yoheimuta/protolint/internal/cmd/protocgenprotolint.revision=`git rev-parse --short HEAD`" \
		-o protoc-gen-protolint \
		cmd/protoc-gen-protolint/main.go

=== debian/changelog ===
gitaly (16.0.7+ds1-3) unstable; urgency=medium

  * Drop bundle install --local autopkgtest (ruby files are removed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Jul 2023 23:29:17 +0530

gitaly (16.0.7+ds1-2) unstable; urgency=medium

  * Reupload to unstable
  * Update minimum version of gitlab-shell
  * Drop override_dh_install obsoleted by ruby code removal

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Jul 2023 17:43:28 +0530

gitaly (16.0.7+ds1-1) experimental; urgency=medium

  * New upstream version 16.0.7
  * debian/{copyright,watch}: ruby directory is removed upstream, so we don't
    need to repack anymore
  * Remove patches modifying ruby directory
  * debian/{rules,control}: Bump module version v15 -> v16
  * New upstream version 16.0.7+ds1 (add github.com/golang-jwt/jwt/v5 in
    vendor)
  * Don't build tools/protoc-gen-doc (need unpackaged module, add to
    debian/clean)
  * Add patch to relax grpc-tools gem in tools/protogem/Gemfile
  * Drop ruby build dependencies and gitaly's ruby dependencies
  * Drop bundle install in postinst

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Jul 2023 19:32:08 +0530

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
  golang-github-sirupsen-logrus-dev (>= 1.0~),
  golang-github-stretchr-testify-dev (>= 1.4~),
  golang-github-urfave-cli-v2-dev,
- golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.18~),
+ golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.20~),
 # golang-gitlab-gitlab-org-labkit-dev (>= 1.16~),
 # golang-gocloud-dev,
  golang-golang-x-crypto-dev,
@@ -81,50 +81,19 @@
  golang-github-cli-browser-dev,
  gem2deb,
  ruby-grpc-tools (>= 1.42~),
- ruby-bundler,
- ruby-rugged (>= 1.5.1~) <!nocheck>,
- ruby-gitlab-markup (>= 1.7.1~) <!nocheck>,
- ruby-github-markup (>= 1.7.0~) <!nocheck>,
- ruby-activesupport (>= 2:6.1.7.2~) <!nocheck>,
- ruby-grpc (>= 1.42~) <!nocheck>,
- ruby-sentry-raven (>= 3.0~) <!nocheck>,
- ruby-faraday (>= 0.12~) <!nocheck>,
- ruby-rbtrace <!nocheck>,
- ruby-gitaly (>= 15.5~) <!nocheck>,
- ruby-gitlab-labkit (>= 0.31~) <!nocheck>,
- ruby-licensee (>= 9.15~) <!nocheck>,
- ruby-google-protobuf (>= 3.21.12~) <!nocheck>,
- ruby-redis (>= 4.8~) <!nocheck>,
- ruby-nokogiri (>=1.14~)
+ ruby-bundler
 Standards-Version: 4.6.2
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
 XS-Ruby-Versions: all
-XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v15
+XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v16
 
 Package: gitaly
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-     ${ruby:Depends},
      gitlab-common (=${source:Version}),
-     ruby,
-     ruby-bundler,
-     ruby-rugged (>= 1.5.1~),
-     ruby-gitlab-markup (>= 1.7.1~),
-     ruby-github-markup (>= 1.7.0~),
-     ruby-activesupport (>= 2:6.1.7.2~),
-     ruby-grpc (>= 1.42~),
-     ruby-google-protobuf (>= 3.21.12~),
-     ruby-sentry-raven (>= 3.0~),
-     ruby-faraday (>= 0.12~),
-     ruby-rbtrace,
-     ruby-gitaly (>= 15.5~),
-     ruby-gitlab-labkit (>= 0.31~),
-     ruby-licensee (>= 9.15~),
-     ruby-redis (>= 4.8~),
-     ruby-nokogiri (>= 1.14~),
 # sysv deps:
      pipexec,
      procps
@@ -159,7 +128,7 @@
  adduser (>= 3.34~),
  git (>= 1:2.38~),
  ucf,
- gitlab-shell (>= 14.18~)
+ gitlab-shell (>= 14.20~)
 Description: git powered software platform to collaborate on code (common)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,15 @@
 export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
 export GEM2DEB_TEST_RUNNER = --check-dependencies
 export RAILS_ENV = development # for bundle install --local test
-export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v15/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
+export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v16/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
 # All executables packed inside the Gitaly binary.
 export GITALY_PACKED_EXECUTABLES = $(filter %gitaly-hooks %gitaly-git2go %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})
 
 include /usr/share/dpkg/pkg-info.mk
 ## Set some build variables as per Makefile:
 VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
-PKG := gitlab.com/gitlab-org/gitaly/v15
-MODULE_VERSION := v15
+PKG := gitlab.com/gitlab-org/gitaly/v16
+MODULE_VERSION := v16
 GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
 GO_BUILD_TAGS ?= static,system_libgit2
 
@@ -46,7 +46,7 @@
 	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
 	-O--builddirectory=_build -- \
 	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
-           gitlab.com/gitlab-org/gitaly/v15/cmd/gitaly
+           gitlab.com/gitlab-org/gitaly/${MODULE_VERSION}/cmd/gitaly
 	rm -rf _build/src/${PKG}/_build/
 	rm tools/protogem/Gemfile.lock
 	RAILS_ENV=$(RAILS_ENV) BUNDLE_GEMFILE=tools/protogem/Gemfile \
@@ -61,11 +61,6 @@
 	#-dh_auto_test -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
 	#-O--builddirectory=_build
 	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly
-	# Test if ruby dependencies are satisfied
-	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
-        RAILS_ENV=$(RAILS_ENV) bundle install --local || exit 1;\
-        rm $$TMPDIR/Gemfile* $$TMPDIR/.bundle/config;\
-       	rmdir $$TMPDIR/config; rmdir $$TMPDIR
 endif
 
 override_dh_auto_install:
@@ -77,9 +72,3 @@
 	for f in `find debian/ -name testdata`; do \
 		$(RM) -rv $$f; \
 	done
-
-override_dh_install:
-	dh_install
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/Gemfile.lock
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/.gitignore
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/gitlab-shell/.gitignore

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/gitaly-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly/tags?sort=updated_desc .*/gitaly-v(.*).tar.gz

## gitaly 16.0.8+ds1

=== debian/changelog ===
gitaly (16.0.8+ds1-1build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:32:40 +0100

gitaly (16.0.8+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 16.0.8+ds1
  * Add patch to fix FTBFS (Closes: #1052627)
  * d/rules: update suffix in VERSIONS

 -- Mohammed Bilal <rmb@debian.org>  Wed, 04 Oct 2023 14:43:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 ## Set some build variables as per Makefile:
-VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
+VERSION  ?= $(shell sh -c 'printf "$${1%%+ds*}"' -- "$(DEB_VERSION_UPSTREAM)")
 PKG := gitlab.com/gitlab-org/gitaly/v16
 MODULE_VERSION := v16
 GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
